<template>
  <div id="content-wrap">
    <div class="actions">
      <div id="buttons">
        <button id="new"
        v-on:click="$emit('change-component', 'ZipCode'); $emit('object',0)">
          Create New
        </button>
      </div>
    </div>
    <div class="table-wrap">
      <table class="tab">
        <thead>
          <tr>
            <th>ZipCode</th>
            <th>City</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="zip in zipCodes" v-bind:key="zip.id" v-bind:item="zip">
            <td>{{zip.zipCode}}</td>
            <td>{{zip.city}}</td>
            <td>
              <button v-on:click="modify(zip.id)">Modify</button>
              <button v-on:click="deleteObj(zip)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'zip_Codes',
  data() {
    return {
      zipCodes: [],
    };
  },
  mounted() {
    this.get();
  },
  methods: {
    get() {
      axios.get('http://localhost:4000/api/zipCodes').then(
        (result) => {
          this.zipCodes = result.data;
        },
      ).catch((error) => {
        console.log(error);
      });
    },
    modify(zipCode) {
      this.$emit('change-component', 'ZipCode');
      this.$emit('object', zipCode);
      console.log(zipCode);
    },
    deleteObj(zipCode) {
      const url = `http://localhost:4000/api/zipCodes/${zipCode.id}`;
      axios.delete(url).then(
        (result) => {
          if (result) { this.get(); }
        },
      ).catch((error) => {
        console.log(error);
      });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Managment.css";
#tab tbody button{
  border-style: none;
  margin-left: 2em;
}
</style>
